ENG  RUSTimus Online Judge
Online Judge
Задачи
Авторы
Соревнования
О системе
Часто задаваемые вопросы
Новости сайта
Форум
Ссылки
Архив задач
Отправить на проверку
Состояние проверки
Руководство
Регистрация
Исправить данные
Рейтинг авторов
Текущее соревнование
Расписание
Прошедшие соревнования
Правила
вернуться в форум

Общий форум

Страницы: 1 2 Следующая
Timus Top Coders: First Challenge is over (+)
Послано Dmitry 'Diman_YES' Kovalioff. Retired 11 фев 2006 18:20
We (Nikita Rybak, Ilya Grebnov and Dmitry Kovalioff, the problemsetters of this contest) want to congratulate the best programmers, who solved six or more problems:

1. LouTianCheng
2. MessedUp
3. Shangri-La 2005
4. Mithril
5. Rostislav
6. Ocean12
7. Chmeli_BSU
8. ahyangyi_newid
9. Michael Levin
10. Polar Bear in South Pole
11. Burunduk1
12. ijk
13. CoSec
14. Need For Success (Denis Nazarov)
15. Renat Mullakhanov
16. Yuriew Alexander
17. Gluk
18. Henry Hu
19. Lazer
20. Sergey Pupyrev [USU TEAM]
21. ronobe (aka oberon)
22. Nika Jimsheleishvili (Tbilisi SU)

We are proud, that four hundred programmers took part in our contest. And we hope, that you liked it :) Thank you!

We also want to thank Vladimir Yakovlev, who helped us a lot while preparing this contest.

The problems are added to Volume 5 of Timus Online Judge problem set - http://acm.timus.ru/problemset.aspx?space=1&page=5 (1421-1430).

P.S. The next "Timus Top Coders" may be held after two month.

Edited by author 11.02.2006 18:37
Thank you very much !!!(+)
Послано Michael_Rybak 11 фев 2006 18:56
Very interesting set of problems, and wonderful sence of humor (a special thanks for the fireballs aiming at flies). I only read Russian versions, and I really enjoyed the style, great work! Thanks for spending the time and effort on preparing the contest!
Re: Thank you very much !!!(+)
Послано Igor E. Tuphanov 11 фев 2006 19:00
I liked that 5 hours...
But Test7 in G, something wrong with it...

Anyway, I want to say "thank you" for a good time&problems to Nikita, Ilya and Dmitry!
i have to say again: it's a tricky case, but not a wrong case.
Послано Safe Bird 12 фев 2006 16:26
Thank you very much. expecting your second contest:)
Послано Safe Bird 12 фев 2006 16:27
BTW, i hope your contest will be before early May
Послано Safe Bird 12 фев 2006 21:14
If nothing goes wrong, it will be held in the middle of April (-)
Послано Dmitry 'Diman_YES' Kovalioff. Retired 12 фев 2006 21:25
that is nice.(+)
Послано Safe Bird 13 фев 2006 13:46
could you contact Vladimir Yakovlev, and tell him what happens with the wrong test cases?
i suppose he can't understand what i mean... :(
The preliminary rejudge was done (+)
Послано Dmitry 'Diman_YES' Kovalioff. Retired 13 фев 2006 13:52
You cannot see its results, but if I am not mistaken your team is on the second place instead of the third. Nothing else changed in the top. Vladimir Yakovlev may run the official rejudge today.
thanx a lot:) it's our maiden journey to the contest.
Послано Safe Bird 13 фев 2006 14:06
Not very original problems...
Послано SF #1 13 фев 2006 16:37
 Problem C - from Russia-School-Summer-Trainings. also on neerc.ifmo.ru/online.
 Problem D - from USACO2005 Qualification Round(well-known problem)
 Problem G - test case 7 with incorrect input format(Why the first 6 test cases are in other format than 7th???)
 ...
You are wrong a bit (+)
Послано Dmitry 'Diman_YES' Kovalioff. Retired 13 фев 2006 16:49
All the problems were created by the problemsetters themselves. No plagiarism is acceptable. But if some of these problems were created by someone else before us - we don't care ;) If fact, there are a lot of problems in the world, and the similar problems may appear.

As for problem G again - test 7 is (and was) correct. Your solution was just wrong.
Re: Not very original problems...
Послано Kit 13 фев 2006 17:37
Are you not satisfied? May be, you wish to conduct your own online contest? Then we will see how it should be done.
to Nika: I have to say again and again, case 7 is INDEED CORRECT.
Послано Safe Bird 13 фев 2006 18:21


Edited by author 13.02.2006 18:22
support(-)
Послано Safe Bird 13 фев 2006 18:23
You are SO wrong, Nika! (+)
Послано Michael_Rybak 13 фев 2006 19:32
Problem C is a very thin covering over standard KMP, so it's not even claiming to be original.
Why don't you blame the SMS problem for being simple DP?
Now, IT IS OK that some problems are less innovative than others. Every contest should normally have several "standard" problems,
and finding a new way of describing an old problem statement is sometimes as hard as creating a new one.

Moreover, apart from pure problems, there are problem statements (texts), and as I pointed out already, they are on their own worth appreciating, in my opinion.

Overall, I think most people will agree with me that this was in all respects a very balanced contest.
Rejudge done
Послано Problemset Maintainer 14 фев 2006 10:23
Problem G (1427) has been rejudged for 10 authors:

AS1_PML#30
Savior
SpaceFlyer
19870407
B-S42#2
0
Shangri-La2005
!r0m@N
Sergey Bankevich
V&P

Timus Online Judge Team apologize for wrong verdicts during contest.
Thanx
Послано Safe Bird 14 фев 2006 12:35
Re: You are SO wrong, Nika! (+)
Послано SF #1 14 фев 2006 14:45
Why am I SO wrong?
I said that these problems are not very original. Am I wrong? I don't say that they exactly copied problems statements.
I think many of previous TIMUS contests were much more original.
They're begginer problemsetters (and statementsetters) and for the first time it wasn't bad.
I just hope next contests will be better.

P.S. Not every algo is DP. It's simple greedy algorithm.
You ARE wrong (+)
Послано Michael_Rybak 14 фев 2006 15:57
exactly because they are beginner problemsetters, and deserve much more support for their contest than they received by now; I say you're wrong because you *act* wrong, not that you're very much mistaken, see?

Apart from those "not very original" problems, there are quite some very interesting, which you actually don't mention in your feedback, and that's what I think is wrong.

P.S. Not every problem is DP, but this *is* DP. DP means we are able to solve a problem iteratively, and an answer for current iteration is obtained by some calculations on results of previous iterations. You are probably used to O(n*3) DP so you think O(n) DP is greedy.

The main difference here is that you have to store all previous answers (well at least last MAX(a, b) answers), elseway you can't get the result. On the other hand, in 1424, you first sort them and then go from left to right, immediately deciding whom to leave and whom not, and you need O(1) additional memory. That's greedy.
Страницы: 1 2 Следующая